# Interface InitialStateJson

Defines the initial state when opening web scene.

See https://developers.arcgis.com/web-scene-specification/objects/initialState/.

interface InitialStateJson {
environment?: EnvironmentJson;
viewpoint: ViewpointJson;
}

#####
Index

### Properties

environment?
viewpoint

##
Properties

### `Optional` environment

environment?: EnvironmentJson

The initial environment settings of the WebScene.

### viewpoint

viewpoint: ViewpointJson

Describes a point of view for a 2D or 3D view. In a 3D view, it is determined using a camera position.